FreeBSD : pear-XML_RPC -- arbitrary remote code execution (523fad14-eb9d-11d9-a8bd-000cf18bbe54)

High Nessus Plugin ID 18933


The remote FreeBSD host is missing a security-related update.


GulfTech Security Research Team reports :

PEAR XML_RPC is vulnerable to a very high risk php code injection vulnerability due to unsanatized data being passed into an eval() call.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 18933

File Name: freebsd_pkg_523fad14eb9d11d9a8bd000cf18bbe54.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/07/13

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:pear-XML_RPC, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2005/07/03

Vulnerability Publication Date: 2005/06/29

Exploitable With

Metasploit (PHP XML-RPC Arbitrary Code Execution)

Reference Information

CVE: CVE-2005-1921